Saltar al contenido principal
POST
/
v1
/
integration
/
template
/
{template_id}
/
copy
Copy integration template
import requests

url = "https://api.diga.io/v1/integration/template/{template_id}/copy"

payload = {
    "name": "<string>",
    "api_key": "<string>",
    "base_url": "<string>",
    "variables": {}
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "base_url": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "description": "<string>",
  "auth_key": "<string>",
  "headers": {},
  "requires_setup": false,
  "source_integration_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parámetros de ruta

template_id
string<uuid>
requerido

Cuerpo

application/json

Request to create an integration from a template.

name
string | null

Override name for the created integration. Defaults to template name.

api_key
string | null

API key for authentication, if the integration requires it.

base_url
string | null

Override base URL for the created integration.

variables
Variables · object | null

Values to replace <> placeholders in the template.

Respuesta

Successful Response

Response schema for integration.

id
string<uuid>
requerido
name
string
requerido
base_url
string
requerido
auth_type
enum<string>
requerido
Opciones disponibles:
NONE,
API_KEY
integration_type
enum<string>
requerido

Integration type enum

Opciones disponibles:
HTTP,
MCP
created_at
string<date-time>
requerido
updated_at
string<date-time>
requerido
description
string | null
auth_key
string | null
headers
Headers · object | null
requires_setup
boolean
predeterminado:false
source_integration_template_id
string<uuid> | null